Loading...
Searching...
No Matches
log4shib Namespace Reference

The top level namespace for all 'Log for C++' types and classes. More...

## Namespaces

namespace | threading

## Classes

class | AbortAppender
| This Appender causes the application to abort() upon the first append() call. More...
class | Appender
| Implement this interface for your own strategies for printing log statements. More...
class | AppenderSkeleton
| AppenderSkeleton is a helper class, simplifying implementation of Appenders: it already takes care of handling of Thresholds and Filters. More...
class | BasicConfigurator
| This class implements a trivial default configuration for log4shib: it adds a FileAppender that logs to stdout and uses a BasicLayout to the root Category. More...
class | BasicLayout
| BasicLayout is a simple fixed format Layout implementation. More...
class | Category
| This is the central class in the log4j package. More...
class | CategoryStream
| This class enables streaming simple types and objects to a category. More...
class | ConfigureFailure
| Exception class for configuration. More...
class | FileAppender
class | Filter
| Users should extend this class to implement customized logging event filtering. More...
class | FixedContextCategory
| This Category subclass replaces the NDC field in LoggingEvents with a fixed context string. More...
class | HierarchyMaintainer
| HierarchyMaintainer is an internal log4shib class. More...
class | IdsaAppender
| IdsaAppender is an Appender that sends LoggingEvents to the IDS/A logger and reference monitor by Marc Welz. More...
class | Layout
| Extend this abstract class to create your own log layout format. More...
class | LayoutAppender
| LayoutAppender is a common superclass for all Appenders that require a Layout. More...
struct | LoggingEvent
| The internal representation of logging events. More...
class | NDC
| The NDC class implements nested diagnostic contexts as defined by Neil Harrison in the article "Patterns for Logging Diagnostic Messages" part of the book "<i>Pattern Languages of Program Design 3</i>" edited by Martin et al. More...
class | NTEventLogAppender
| NTEventLogAppender is an Appender that sends LoggingEvents to the Windows event log. More...
class | OstreamAppender
| OstreamAppender appends LoggingEvents to ostreams. More...
class | PatternLayout
| PatternLayout is a simple fixed format Layout implementation. More...
class | Priority
| The Priority class provides importance levels with which one can categorize log messages. More...
class | PropertyConfigurator
| Property configurator will read a config file using the same (or similar) format to the config file used by log4j. More...
class | RemoteSyslogAppender
| RemoteSyslogAppender sends LoggingEvents to a remote syslog system. More...
class | RollingFileAppender
| RollingFileAppender is a FileAppender that rolls over the logfile once it has reached a certain size limit. More...
class | SimpleConfigurator
| This class implements a simple Configurator for log4shib. More...
class | SimpleLayout
| BasicLayout is a simple fixed format Layout implementation. More...
class | StringQueueAppender
| This class puts log messages in an in-memory queue. More...
class | SyslogAppender
| SyslogAppender sends LoggingEvents to the local syslog system. More...
class | TimeStamp
| A simple TimeStamp abstraction. More...
class | Win32DebugAppender
| Win32DebugAppender simply sends the log message to the default system debugger on Win32 systems. More...
struct | StringLiteralComponent
struct | CategoryNameComponent
struct | MessageComponent
struct | NDCComponent
struct | PriorityComponent
struct | ThreadNameComponent
struct | ProcessorTimeComponent
struct | TimeStampComponent
struct | SecondsSinceEpochComponent
struct | MillisSinceEpochComponent
struct | FormatModifierComponent
class | Properties
class | PropertyConfiguratorImpl
class | StringUtil

## Typedefs

typedef std::set< Appender * > | AppenderSet

## Functions

LOG4SHIB_EXPORT CategoryStream & | eol (CategoryStream &os)
| eol manipulator

## Variables

class LOG4SHIB_EXPORT | Filter
class LOG4SHIB_EXPORT | Category
class LOG4SHIB_EXPORT | CategoryStream

## Detailed Description

The top level namespace for all 'Log for C++' types and classes.

## Typedef Documentation

## AppenderSet

typedef std::set<Appender *> log4shib::AppenderSet

## Function Documentation

## eol()

CategoryStream & log4shib::eol | ( | CategoryStream & | os | ) |

eol manipulator

## Variable Documentation

## Category

class LOG4SHIB_EXPORT log4shib::Category

## CategoryStream

class LOG4SHIB_EXPORT log4shib::CategoryStream

## Filter

class LOG4SHIB_EXPORT log4shib::Filter